Name:		voms-mysql-plugin
Version:	3.1.1
Release:	1%{?dist}
Summary:	VOMS server plugin for MySQL

Group:		System Environment/Libraries
License:	ASL 2.0
URL:		http://glite.web.cern.ch/glite/
#		The source tarball is created from a CVS checkout:
#		cvs -d:pserver:anonymous:@glite.cvs.cern.ch:/cvs/glite co \
#		  -r glite-security-voms-mysql_R_3_1_1 \
#		  -d voms-mysql-plugin-3.1.1 org.glite.security.voms-mysql
#		tar -z -c --exclude CVS -f voms-mysql-plugin-3.1.1.tar.gz \
#		  voms-mysql-plugin-3.1.1
Source:		%{name}-%{version}.tar.gz
#		Make the mysql library detection portable
#		https://savannah.cern.ch/bugs/?54438
Patch0:		%{name}-mysqllib.patch
#		Add proper LDFLAGS
#		https://savannah.cern.ch/bugs/?54439
Patch1:		%{name}-module.patch
#		Fix underquoted macro
#		https://savannah.cern.ch/bugs/?54440
Patch2:		%{name}-underquote.patch
#		Add missing library to avoid undefined symbols
#		https://savannah.cern.ch/bugs/?54441
Patch3:		%{name}-crypto.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	voms-server%{?_isa}
BuildRequires:	libtool
BuildRequires:	mysql-devel%{?_isa}
BuildRequires:	openssl%{?_isa}

%description
In grid computing, and whenever the access to resources may be controlled
by parties external to the resource provider, users may be grouped to
Virtual Organizations (VOs). This package provides a VO Membership Service
(VOMS), which informs on that association between users and their VOs:
groups, roles and capabilities.

This package offers the MySQL implementation for the VOMS server.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# Fix directory hardwiring
for f in `find . -name Makefile.am`; do
    sed	-e 's!\(^sysconfdir *= *\)\$(prefix)/etc!\1@sysconfdir@!' -i $f
done

./bootstrap

%build
%configure --libdir=%{_libdir}/voms --sysconfdir=%{_datadir}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/voms/libvomsmysql.a
rm $RPM_BUILD_ROOT%{_libdir}/voms/libvomsmysql.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/voms/voms-mysql.data
%{_datadir}/voms/voms-mysql-compat.data
%dir %{_libdir}/voms
%{_libdir}/voms/libvomsmysql.so

%changelog
* Sat Aug 15 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.1.1-1
- Update to version 3.1.1.

* Tue Jun 30 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.1.0-1
- First build.
